#!/usr/bin/env python

# Copyright (c) 2011 Linaro Limited
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import sys
from setuptools import setup

setup(
    name='linaro-graphics-tests',
    version='20111027',
    author='Linaro Graphics Working Group',
    author_email='linaro-dev@lists.linaro.org',
    url='',
    description='LAVA test definitions for the Linaro Graphics Working Group',
    long_description='',
    packages = ['linaro_graphics_tests'],
    entry_points="""[lava_test.test_definitions]
linaro.gfx.glmark2_es2=linaro_graphics_tests.glmark2_es2
linaro.gfx.glmark2_es2_validate=linaro_graphics_tests.glmark2_es2_validate
linaro.gfx.es2gears=linaro_graphics_tests.es2gears
linaro.gfx.glmemperf=linaro_graphics_tests.glmemperf
linaro.gfx.gtkperf=linaro_graphics_tests.gtkperf
linaro.gfx.x11perf=linaro_graphics_tests.x11perf
linaro.gfx.render_bench=linaro_graphics_tests.render_bench
linaro.gfx.clutter=linaro_graphics_tests.clutter
linaro.gfx.glcompbench=linaro_graphics_tests.glcompbench
linaro.gfx.cairo_traces=linaro_graphics_tests.cairo_traces
linaro.gfx.qt_traces=linaro_graphics_tests.qt_traces
linaro.gfx.qgears=linaro_graphics_tests.qgears
linaro.gfx.spandex_gles2=linaro_graphics_tests.spandex_gles2
    """
)
